Issues

ZF-5181: ZF-3161 Fix Causes Problems

Issue Type: Bug Created: 2008-12-08T05:41:21.000+0000 Last Updated: 2009-11-20T11:03:30.000+0000 Status: Closed Fix version(s): - 1.8.0 (30/Apr/09)

Reporter: Hammo (hammo) Assignee: Matthew Weier O'Phinney (matthew) Tags: - Zend_Controller

Related issues: Attachments:

Description

Forgive me if this is not a bug, but I can not seem to comment on anything here.

After upgrading to version 1.7.1, I had problems with OpenID. I got invalid controller errors when performing OpenID logins using the Zend Framework's provider library. The problem occurs because I have the host address in the query string as a GET parameter. The fix for ZF-3161 causes the request URI to be changed and consequently this results in an invalid controller being specified.

For example, if the request is http://test/controller/…, the request URI is changed to /something/.

When I replace Zend/Controller/Request/Http.php with the version from 1.7.0 it does not show this problem. The only change in the file between these versions is the code added by this fix.

Edit: Any update to this? I would like to know if it's me or a bug, thanks.

Comments

Posted by Matthew Weier O'Phinney (matthew) on 2008-12-08T07:02:40.000+0000

How are you narrowing this down to ZF-3161?

Posted by Matthew Weier O'Phinney (matthew) on 2008-12-08T07:19:18.000+0000

I think I know what's going on, and will look at it today.

Posted by Jan Sorgalla (jsorgalla) on 2009-11-20T11:03:30.000+0000

Addressed an fixed in ZF-5818

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts